Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Glib complains about missing docbook xml dtd
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
zixnub
n00b
n00b


Joined: 27 Dec 2007
Posts: 66
Location: Brasschaat, Belgium

PostPosted: Thu Jan 31, 2013 2:18 pm    Post subject: Glib complains about missing docbook xml dtd Reply with quote

I'm setting up a cross compilation environment for raspi, yet when I try to emerge glib, I get:

Code:
checking for xsltproc... /usr/bin/xsltproc
checking for XML catalog (/etc/xml/catalog)... found
checking for xmlcatalog... /usr/bin/xmlcatalog
checking for DocBook XML DTD V4.1.2 in XML catalog... not found
configure: error: DocBook DTD is required for --enable-man


emerging it manually
Code:
armv6j-hardfloat-linux-gnueabi-emerge -av app-text/docbook-xml-dtd app-text/docbook-xml-simple-dtd docbook-sgml-dtd libxml2

does not solve it.

What's the exact reason for this error, can I work around it (I don't need any manuals)?
_________________
https://github.com/Zubnix/trinityshell
Back to top
View user's profile Send private message
ch64-2
n00b
n00b


Joined: 12 Feb 2013
Posts: 1

PostPosted: Tue Feb 12, 2013 3:13 am    Post subject: DocBook XML DTD V4.1.2 in XML catalog... not found Reply with quote

I have the same issue.
Code:

checking for broken poll... no
checking whether compiler understands -Wno-pointer-sign... yes
checking for EILSEQ... yes
checking for gtkdoc-check... no
checking for gtkdoc-rebase... /usr/bin/gtkdoc-rebase
checking for gtkdoc-mkpdf... no
checking whether to build gtk-doc documentation... no
checking for xsltproc... /usr/bin/xsltproc
checking for XML catalog (/etc/xml/catalog)... found
checking for xmlcatalog... /usr/bin/xmlcatalog
checking for DocBook XML DTD V4.1.2 in XML catalog... not found
configure: error: DocBook DTD is required for --enable-man

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3/config.log
 * ERROR: dev-libs/glib-2.34.3 failed (configure phase):
 *   econf failed

I can't merge libxml2 and doing a system/world overall sync because of this glib error.
Code:

# emerge -av app-text/docbook-xml-dtd app-text/docbook-xml-simple-dtd docbook-sgml-dtd libxml2


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] app-text/docbook-sgml-dtd-4.5:4.5  0 kB
[ebuild   R    ] app-text/docbook-xml-simple-dtd-4.1.2.5-r2:4.1.2.5  0 kB
[ebuild     U  ] dev-libs/glib-2.34.3:2 [2.22.5:2] USE="-debug (-fam*) (-selinux) -static-libs% -systemtap% {-test%} -utils% -xattr (-doc%) (-hardened%)" 0 kB
[ebuild     U  ] dev-util/pkgconfig-0.28 [0.23] USE="-hardened -internal-glib%" 0 kB
[ebuild  N     ] virtual/pkgconfig-0  0 kB
[ebuild  NS    ] dev-lang/python-2.7.3-r3:2.7 [2.4.4-r13:2.4, 2.5.4-r3:2.5, 2.6.5-r2:2.6, 3.1.2-r3:3.1] USE="gdbm ipv6 ncurses readline ssl threads (wide-unicode) xml -berkdb -build -doc -examples -sqlite -tk -wininst" 0 kB
[ebuild     U  ] dev-libs/libxml2-2.9.0-r1:2 [2.7.7:2] USE="ipv6 python readline -debug -examples -icu% -lzma% -static-libs% {-test} (-doc%)" PYTHON_TARGETS="python2_7%* -python2_5% -python2_6%" 0 kB
[ebuild   R    ] app-text/docbook-xml-dtd-4.5-r1:4.5  0 kB

Total: 8 packages (3 upgrades, 1 new, 1 in new slot, 3 reinstalls), Size of downloads: 0 kB

Is there anything i can do, here?

I'm trying to update the whole system from an old image to a new state.

Code:


# emerge --info
Portage 2.1.11.50 (default/linux/x86/13.0/desktop, gcc-4.4.3, glibc-2.16.0, 3.6.11 i686)
=================================================================
System uname: Linux-3.6.11-i686-Intel-R-_Celeron-R-_CPU_550_@_2.00GHz-with-gentoo-2.2
KiB Mem:     2060892 total,    342564 free
KiB Swap:    1545668 total,   1545668 free
Timestamp of tree: Mon, 11 Feb 2013 10:30:01 +0000
ld GNU ld (GNU Binutils) 2.20.1.20100303
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p42
dev-java/java-config:     2.1.11
dev-lang/python:          2.4.4-r13, 2.5.4-r3, 2.6.5-r2, 3.1.2-r3
dev-util/cmake:           2.6.4-r2
dev-util/pkgconfig:       0.23
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.6.1-r1
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2, 1.11.1
sys-devel/binutils:       2.20.1
sys-devel/gcc:            4.1.2, 4.3.3-r2, 4.4.3-r2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.2.6b
sys-devel/make:           3.81-r2
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/HSOconnect /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /usr/share/HSOconnect/images /usr/share/HSOconnect/languages"
CXXFLAGS="-Os -march=pentium4 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="=npp PolicyKit PyGTK X a52 aac acl acpi alsa apic apm arts automount avi bash-completition berkdb bluetooth branding bzip2 cairo cdaudio cdda cddb cdparanoia cdr cgi cli consolekit cracklib crypt cups cxx dbus distcc divx dri dts dvd dvdr eap-sim emboss encode evdev exif fam ffmpeg firefox fla flac flash fortran gdbm gif gimp gphoto2 gpm gtk hal hddtemp iconv injection ipv6 java jbig jpeg jpeg2 kaffeine kde keyboard lame lcms ldap libnotify lm_sensors lzo mad madwifi mdnsresponder-compat mmx mng modplug modules mouse mp3 mp4 mpack mpeg msr mudflap musepack ncurses nforce2 nls nntp nptl nptlonly nvidia objc ogg opengl openmp oss pam pango pcmcia pcre pdf perl pmu png policykit ppds pulseaudio qt3support qt4 rdesktop readline samba sdl session sid sim smp sndfile soap speex spell sse sse2 ssl ssse3 startup-notification svg swf synaptics tcl tcpd theora tiff truetype udev udisks ui unicode upower usb vcdinfo vme vorbis wavpack webkit wifi wma wxwidgets x264 x86 xcb xine xinerama xml xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="synaptics evdev mouse keyboard penmount" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa vesafb intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON



UPDATE:

config.log prints out:

Code:

configure:27378: result: /usr/bin/xmlcatalog
configure:27399: checking for DocBook XML DTD V4.1.2 in XML catalog
configure:27402: $XMLCATALOG --noout "$XML_CATALOG_FILE" "-//OASIS//DTD DocBook XML V4.1.2//EN" >&2
/usr/bin/xmlcatalog: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory
configure:27405: $? = 127
configure:27411: result: not found
configure:27420: error: DocBook DTD is required for --enable-man


so the libxml2 is the problem.
i now need to see in what order reinstall, because glib is needed by libxml2.
Back to top
View user's profile Send private message
gienah
Developer
Developer


Joined: 24 Nov 2010
Posts: 128
Location: AU

PostPosted: Tue Feb 12, 2013 10:14 am    Post subject: Reply with quote

Quote:
Code:
configure:27378: result: /usr/bin/xmlcatalog
configure:27399: checking for DocBook XML DTD V4.1.2 in XML catalog
configure:27402: $XMLCATALOG --noout "$XML_CATALOG_FILE" "-//OASIS//DTD DocBook XML V4.1.2//EN" >&2
/usr/bin/xmlcatalog: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory
configure:27405: $? = 127
configure:27411: result: not found
configure:27420: error: DocBook DTD is required for --enable-man


so the libxml2 is the problem.


Well you seem like you are on the right track, but that is an incorrect conclusion, it is /usr/bin/xmlcatalog that is broken so you want to rebuild the package that contains it, which you can find with:

Code:
equery belongs /usr/bin/xmlcatalog


Edit: Looking at this more, maybe you are correct about libxml2 being the problem, as on my system I have:

Code:

# ls -al /usr/lib64/libxml2*
lrwxrwxrwx 1 root root      16 Feb 10 20:10 /usr/lib64/libxml2.so -> libxml2.so.2.8.0
lrwxrwxrwx 1 root root      16 Feb 10 20:10 /usr/lib64/libxml2.so.2 -> libxml2.so.2.8.0
-rwxr-xr-x 1 root root 1413592 Feb 10 20:10 /usr/lib64/libxml2.so.2.8.0
#


It might be best to rebuild both libxml and the package that contains /usr/bin/xmlcatalog
Back to top
View user's profile Send private message
cwr
Veteran
Veteran


Joined: 17 Dec 2005
Posts: 1707

PostPosted: Tue Feb 12, 2013 12:19 pm    Post subject: Reply with quote

There are an awful lot of varieties of DocBook. I've ended up with:
Code:

app-text/build-docbook-catalog-1.19.1:0
app-text/docbook-dsssl-stylesheets-1.79:0
app-text/docbook-sgml-dtd-3.0-r3:3.0
app-text/docbook-sgml-dtd-3.1-r3:3.1
app-text/docbook-sgml-dtd-4.0-r3:4.0
app-text/docbook-sgml-dtd-4.1-r3:4.1
app-text/docbook-sgml-utils-0.6.14-r1:0
app-text/docbook-xml-dtd-4.1.2-r6:4.1.2
app-text/docbook-xml-dtd-4.2-r2:4.2
app-text/docbook-xml-dtd-4.3-r1:4.3
app-text/docbook-xml-dtd-4.4-r2:4.4
app-text/docbook-xml-dtd-4.5-r1:4.5
app-text/docbook-xml-simple-dtd-1.0-r1:1.0
app-text/docbook-xml-simple-dtd-4.1.2.4-r2:0
app-text/docbook-xsl-stylesheets-1.77.1-r1:0

and there are sometimes missing dependencies in package doc flags.
I'd try re-emerging the specific DocBook version you want, and see
if that helps.

Will
Back to top
View user's profile Send private message
ExecutorElassus
l33t
l33t


Joined: 11 Mar 2004
Posts: 765
Location: Stuttgart, Germany

PostPosted: Sun Feb 24, 2013 2:46 pm    Post subject: Reply with quote

loth libxml and /usr/bin/xmlcatalog are owned by dev-libs/libxml2. However, emerging this package did not solve this problem for me, either.

Perhaps something screwy is going on here? Here are the actual error messages I get trying to emerge glib:

Code:
checking pkg-config is at least version 0.16... /usr/bin/pkg-config: error while loading shared libraries: libglib-2.0.so.0: cannot open shared object file: No such file or director

and
Code:
checking for xmlcatalog... /usr/bin/xmlcatalog
checking for DocBook XML DTD V4.1.2 in XML catalog... not found
configure: error: DocBook DTD is required for --enable-man

the latter of which seems to be the fatal error.

So what's going on here? In my case, this is on a brand-new install (still inside the liveCD), and I'm still running into errors.

Cheers,

EE
UPDATE: so, it seems pkgconfig might have issues. Check it:
Code:
checking for Win32... no
checking if internal glib should be used... no
checking for x86_64-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... /usr/bin/pkg-config: error while loading shared libraries: libglib-2.0.so.0: cannot open shared object file: No such file or directory
no
checking for GLIB... no
configure: error: Either a previously installed pkg-config or "glib-2.0 >= 2.16" could not be found. Please set GLIB_CFLAGS and GLIB_LIBS to the correct values or pass --with-internal-glib to configure to use the bundled copy.

So, glib requires pkgconfig to work, but pkgconfig cannot emerge without a working link to glib. How to I get around this?
Back to top
View user's profile Send private message
Capashen
n00b
n00b


Joined: 14 Apr 2014
Posts: 1

PostPosted: Mon Apr 14, 2014 12:34 pm    Post subject: Reply with quote

It's an old post, but I found myself facing the same issue.

Actually the problem comes from /etc/xml/docbook and /etc/xml/catalog, the permissions are not set correctly for portage, because portage is using portage as user and group when running.
Those files are used to check either XML Docbook is installed or not, and portage is not able to read it.

To fix this issue just adjust rights on the following files and folder :
Code:
chmod 655 /etc/xml
chmod 644 /etc/xml/docbook
chmod 644 /etc/xml/catalog
Back to top
View user's profile Send private message
Art Vandalay
Guru
Guru


Joined: 16 Sep 2003
Posts: 334
Location: Melbourne - VIC

PostPosted: Sun Jun 08, 2014 1:42 am    Post subject: Reply with quote

I'm now also experiencing the same issue, and have tried the above suggestions to no avail.

Did you guys resolve this?
_________________
I might not have morals...but at least I have standards
Back to top
View user's profile Send private message
Art Vandalay
Guru
Guru


Joined: 16 Sep 2003
Posts: 334
Location: Melbourne - VIC

PostPosted: Sun Jun 08, 2014 3:27 am    Post subject: Reply with quote

looks like there was a problem with my catalog

doing the following has fixed it for me:

Code:

rm /etc/xml/{catalog,docbook}
emerge libxml2 docbook-xsl-stylesheets docbook-xml-dtd


glib now compiles successfully
_________________
I might not have morals...but at least I have standards
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum